<?php

/* ========================================================================
 * $Id: cloud.form.php 1905 2016-11-14 01:28:37Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onezphp.com
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
class onezphp_cloud_form extends onezphp{
  function __construct(){
    
  }
  function form_code($arr){
    $html='';
    #只加载一次
    if($this->times(1)){
      $html.=<<<ONEZ

<script type="text/javascript">
window.addEventListener('message', function(event){
  if(typeof event.data.key=='undefined'){
    return;
  }
  var input=$('input#'+event.data.key);
  if(input.length>0){
    if(event.data.value==''){
      $('a.'+event.data.key).html('选择点击事件');
      input.val('');
      $('a.'+event.data.key).addClass('btn-default').removeClass('btn-info');
    }else{
      var json=JSON.parse(decodeURIComponent(event.data.value));
      input.val(event.data.value);
      $('a.'+event.data.key).html(json.name);
      $('a.'+event.data.key).addClass('btn-info').removeClass('btn-default');
    }
  }
}, false);
</script>
ONEZ;
    }
    
    $formkz=onez('bootstrap_form_kz')->init($arr);
    
    $key='c-'.uniqid().rand(1000,9999);
    $formkz->input->attr('id',$key)
                                        ->attr('name',$arr['key'])
                                        ->attr('type','hidden')
                                        //->attr('class','form-control')
                                        ->attr('value',$arr['value'])
                                      ;
                                      
    $value=$arr['value'];
    $url=onez()->href('/events.php?key='.$key);
    if($value){
      $html.='<a href="'.$url.'" class="onez-miniwin btn btn-info '.$key.'">'.onez('app.cloud')->event_name($value).'</a>';
    }else{
      $html.='<a href="'.$url.'" class="onez-miniwin btn btn-default '.$key.'">选择点击事件</a>';
    }
    $input_flash=onez('html')->create('div');
    $input_flash->html=$html;
    $formkz->box->add($input_flash);
    
    $html=$formkz->code();
    
    return $html;
  }
}